Skip to main content
POST
/
conversations
/
custom-channels
/
2026-03
/
{channelId}
/
channel-accounts
Create a channel account
curl --request POST \
  --url https://api.hubapi.com/conversations/custom-channels/2026-03/{channelId}/channel-accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "authorized": true,
  "inboxId": "<string>",
  "name": "<string>"
}
'
{
  "active": true,
  "archived": true,
  "authorized": true,
  "channelId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "inboxId": "<string>",
  "name": "<string>",
  "archivedAt": "2023-11-07T05:31:56Z",
  "deliveryIdentifier": {
    "type": "CHANNEL_SPECIFIC_OPAQUE_ID",
    "value": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

channelId
integer<int32>
required

Body

application/json
authorized
boolean
required
inboxId
string
required
name
string
required
deliveryIdentifier
object

Response

successful operation

active
boolean
required
archived
boolean
required
authorized
boolean
required
channelId
string
required
createdAt
string<date-time>
required
id
string
required
inboxId
string
required
name
string
required
archivedAt
string<date-time>
deliveryIdentifier
object
Last modified on March 30, 2026